.st-block-navigation__nav {
    display: flex;
    flex-wrap: nowrap;
}

.st-block-navigation__mobile-toggle {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    width: 50px;
    border: 1.5px solid var(--wp--preset--color--white);
    border-radius: 5px;
    background: transparent;
    transition: 0.2s ease;
    cursor: pointer;
}

.st-block-navigation__mobile-toggle-icon {
    display: block;
    position: absolute;
    left: 50%;
    top: 50%;
    height: 1.5px;
    width: 50%;
    background-color: var(--wp--preset--color--white);
    transform: translate(-50%, -50%);
    transition: 0.2s ease;
}

.st-block-navigation__mobile-toggle-icon:before {
    position: absolute;
    content: '';
    top: -6px;
    left: 0;
    background: var(--wp--preset--color--white);
    width: 100%;
    height: 1.5px;
    transition: 0.2s ease;
}

.st-block-navigation__mobile-toggle-icon:after {
    position: absolute;
    content: '';
    top: 6px;
    left: auto;
    right: 0;
    background: var(--wp--preset--color--white);
    width: 100%;
    height: 1.5px;
    transition: 0.2s ease;
}

/* .st-block-navigation__nav-inner {
    position: fixed;
    top: calc(var(--header-height) - 1px);
    left: 0;
    right: 0;
    bottom: auto;
    width: 100%;
    height: 0;
    opacity: 0;
    overflow: hidden;
    pointer-events: none;
    transition: height 800ms ease-in-out 0ms, opacity 0ms ease 800ms;
    z-index: 0;
    background-color: var(--wp--preset--color--white);
} */

/* .st-block-navigation__nav-inner.is-menu-open {
    height: calc(100vh - var(--header-height) + 1px);
    height: calc(100svh - var(--header-height) + 1px);  
    pointer-events: all;
    opacity: 1;
    transition: height 800ms ease-in-out 0ms, opacity 50ms ease 0ms;
    z-index: 100000;
} */

.st-block-navigation__megamenu-close {
    visibility: hidden;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 50px;
    width: 50px;
    color: var(--wp--preset--color--white);
    border: 1.5px solid var(--wp--preset--color--white);
    border-radius: 5px;
    background: transparent;
    transition: 0.2s ease;
    cursor: pointer;
    order: -1;
}

html.has-megamenu-open .st-block-navigation__megamenu-close {
    visibility: visible;
}

html.has-megamenu-open .st-block-navigation__megamenu-close {

}

.st-block-navigation__mobile-toggle.toggled .st-block-navigation__mobile-toggle-icon {
    background-color: transparent;
}

.st-block-navigation__mobile-toggle.toggled .st-block-navigation__mobile-toggle-icon:before {
    top: 0;
    transform: rotate(45deg);
}

.st-block-navigation__mobile-toggle.toggled .st-block-navigation__mobile-toggle-icon:after {
    top: 0;
    transform: rotate(-45deg);
}